Package org.eclipse.graphiti.pattern.mapping.data

## Class DataMapping

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
  - - org.eclipse.graphiti.pattern.mapping.data.DataMapping

All Implemented Interfaces:
  `IDataMapping`

Direct Known Subclasses:
  `ImageDataMapping`, `TextDataMapping`

    public abstract class DataMapping
    extends MappingProviderProvider
    implements IDataMapping

The Class DataMapping.

### Constructor Summary

Constructors
`DataMapping​(IMappingProvider mappingProvider)` Creates a new `DataMapping`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Object` `getBusinessObject​(PictogramLink link)` Gets the business object.
`java.lang.String` `getUpdateWarning​(PictogramLink pictogramLink)` Gets the update warning.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataMapping

    public DataMapping​(IMappingProvider mappingProvider)

Creates a new `DataMapping`.

Parameters:
  `mappingProvider` - the mapping provider

### Method Detail

#### getUpdateWarning

    public java.lang.String getUpdateWarning​(PictogramLink pictogramLink)

Description copied from interface: `IDataMapping`
Gets the update warning.

Specified by:
  `getUpdateWarning` in interface `IDataMapping`
Parameters:
  `pictogramLink` - the pictogram link
Returns:
  the update warning

#### getBusinessObject

    protected java.lang.Object getBusinessObject​(PictogramLink link)

Gets the business object.

Parameters:
  `link` - the pictogram link
Returns:
  the business object